﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Interactivity;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;

namespace DeleteRecordFieldApp
{
	public class DeleteImageBehavior : Behavior<Image>
	{
		protected override void OnAttached()
		{
			base.OnAttached();
			AssociatedObject.MouseLeftButtonDown += AssociatedObject_MouseLeftButtonDown;
		}

		private void AssociatedObject_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			// Force the record to become selected if it is not, so that DataPresenterCommand is fired
			DataRecordPresenter recordPresenter = Utilities.GetAncestorFromType(sender as DependencyObject, typeof(DataRecordPresenter), false) as DataRecordPresenter;
			recordPresenter.Record.IsSelected = true;

			if (recordPresenter.DataPresenter is XamDataGrid grid)
			{
				grid.ExecuteCommand(DataPresenterCommands.DeleteSelectedDataRecords);
			}
		}
	}
}
